Revert "DEV: Fix a deprecated `ember` import (#9903)"

Revert “DEV: Fix a deprecated ember import (#9903)”

This reverts commit 75f46ca63238558730cec51cc2814a1e80644e56.

This unfortunately breaks

RAILS_ENV=production bin/rake assets:precompile

I don’t think discourse-loader.js is transpiled

diff --git a/app/assets/javascripts/discourse-loader.js b/app/assets/javascripts/discourse-loader.js
index 6e36f80..fc829ae 100644
--- a/app/assets/javascripts/discourse-loader.js
+++ b/app/assets/javascripts/discourse-loader.js
@@ -29,7 +29,6 @@ var define, requirejs;
         inject: Ember.inject.controller
       },
       "@ember/debug": {
-        isTesting: () => Ember.testing,
         warn: Ember.warn
       },
       "@ember/object": {
diff --git a/app/assets/javascripts/discourse/app/helpers/page-reloader.js b/app/assets/javascripts/discourse/app/helpers/page-reloader.js
index ad97159..6429be3 100644
--- a/app/assets/javascripts/discourse/app/helpers/page-reloader.js
+++ b/app/assets/javascripts/discourse/app/helpers/page-reloader.js
@@ -1,9 +1,9 @@
 import EmberObject from "@ember/object";
-import { isTesting } from "@ember/debug";
+import Ember from "ember";
 
 export default EmberObject.create({
-  reload() {
-    if (!isTesting()) {
+  reload: function() {
+    if (!Ember.testing) {
       location.reload();
     }
   }

GitHub sha: 9841569b